GNU bug report logs - #6102
24.0.50; Problems with Multi_Key

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Werner LEMBERG <wl@HIDDEN>; merged with #28497; dated Tue, 4 May 2010 20:42:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 6102 <at> debbugs.gnu.org:


Received: (at 6102) by debbugs.gnu.org; 29 Sep 2017 15:10:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 29 11:10:58 2017
Received: from localhost ([127.0.0.1]:39392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxwwM-0006cg-0N
	for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 11:10:58 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:48930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <otaniyul@HIDDEN>) id 1dxvL4-0003V8-IX
 for 6102 <at> debbugs.gnu.org; Fri, 29 Sep 2017 09:28:22 -0400
Received: by mail-wm0-f45.google.com with SMTP id m127so3390909wmm.3
 for <6102 <at> debbugs.gnu.org>; Fri, 29 Sep 2017 06:28:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=pO5HKXrmbAA5EfVKMugSPvkElLWAuOfJoIxvQwKtdmI=;
 b=MaSuI3B/mDQugALyS3B2TiKhAeBfiI4K/tjPQbGsrKXjPk6kmnAvr4h/FjRk+OKcUJ
 6diuVffUNdZemGKWdSPZqGBkWKPKx8X+lDrlwEVAvulRppIuOiMR5DQGFmxkpfOEWBU7
 5EUaqiu7qW2tk2KZjgs/aJCZ/HkkzxRW2uajoJhYJrVK1OJIpoppJd5Zm7MBb0mhcfG8
 zFZTIf6cSrY9amgC+D8f/hkWjIe6kcnxekRk75belITEZIfULGX3y/Fut3CfWQEgCgja
 jMdzsCKMRMpnsnApOKeM/wgMlNpa/tM8L79ruTGuRXL0VEv9wx3cHU2C2yzdOceyEwNp
 CJCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=pO5HKXrmbAA5EfVKMugSPvkElLWAuOfJoIxvQwKtdmI=;
 b=Tgdsi653slwN/G+Zc76O9oOE73WJSUQS62/pT+GfFWe0UWkaT1IcwDtlQf6v1BlYzL
 wc6CAD9G4yfQWxFEAA5cYyy+S4B8HTFU/XI4RQtu+LS2bAJYeJNI2vJHvu4pvn/bYxlY
 YQLpf2Oj6kd7DiCJYXVI/g1DxxSrjm02NJrX215w6lVoLyDz+HB5iKz7pRwM+lmJnMH5
 qwFd/Ut2KP+OtR2u3u6JL9F8E3uJolZ00bdnsPEXryCA21YGNTFWJlsxMeKKCwM6/6ZW
 L5sQ6pSUexdGtgETUPSxJYPTTzsQct5h+Ibl9Mqk4jVwCpH/X+yzb9A74qmPCRCdzUZz
 s5ow==
X-Gm-Message-State: AMCzsaW/CKXkU06p3lB+J30id9/doRPQvLMCXNxfQfUgmOlvoqunnJVR
 y68uNjuku0PTf0z5xUBDdSFHC8AYGeWtbm+pim7ry3fA
X-Google-Smtp-Source: AOwi7QBqcWA8kFdlBtDgdUQV1FCOdrXw8YvGmEMLZfSO9zCqQlCIhwRk9a4OtlSL4HAkJOw8FHC0kmdR8t5/UjzfVnM=
X-Received: by 10.28.146.211 with SMTP id u202mr1595717wmd.49.1506691696029;
 Fri, 29 Sep 2017 06:28:16 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.223.187.129 with HTTP; Fri, 29 Sep 2017 06:27:55 -0700 (PDT)
From: Yul Otani <otaniyul@HIDDEN>
Date: Fri, 29 Sep 2017 22:27:55 +0900
Message-ID: <CALst4nZ5xAYKSX_0UghrBShhMKj8jhT0Q_CbkzckxQxkGOjW+A@HIDDEN>
Subject: Problems with Multi_Key
To: 6102 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 6102
X-Mailman-Approved-At: Fri, 29 Sep 2017 11:10:56 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

dear maintainers,

I would also like to report this bug. Here are some considerations
about emacs, input methods, and compose key (and the compose file
.XCompose):

1) Starting Emacs with 'env XMODIFIERS=3D"@im=3Dnone" emacs' is not a
clean solution.
2) A user should not be forced to choose between the input method and
the compose key.
3) Some input methods (e.g. ibus, uim) can work with the compose key.
4) Other programs can work both with input methods and the compose key.

E.g. in my case, I use some japanese/chinese characters together with
composed latin characters like "=C3=A7" or "=C5=9B". I hope emacs implement=
s
this functionality so that users can produce "universal" text files
more easily.

Yul




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6102; Package emacs. Full text available.
Merged 6102 28497. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6102 <at> debbugs.gnu.org:


Received: (at 6102) by debbugs.gnu.org; 15 Feb 2011 13:48:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 08:48:26 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PpLGT-0002tT-Ty
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2011 08:48:26 -0500
Received: from danbala.ifoer.tuwien.ac.at ([128.130.168.64]
	helo=danbala.tuwien.ac.at) by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <wiz@HIDDEN>) id 1PpLGQ-0002tF-7h
	for 6102 <at> debbugs.gnu.org; Tue, 15 Feb 2011 08:48:24 -0500
Received: by danbala.tuwien.ac.at (Postfix, from userid 116)
	id 689E93903BF; Tue, 15 Feb 2011 14:57:21 +0100 (CET)
Date: Tue, 15 Feb 2011 14:57:21 +0100
From: Thomas Klausner <tk@HIDDEN>
To: 6102 <at> debbugs.gnu.org
Subject: Problems with multi key on 23.2.1
Message-ID: <20110215135721.GH22581@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 6102
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

Hi!

I've just found this bug report.

I also have problems with multi_key.
I define the Multi_key with xmodmap, using:
keycode 115 = Multi_key

This works fine in most programs, even emacs when I start it in text
mode (inside an xterm).

However, when I start it as X application and press the key, I get
<Multi_key> is undefined
in the status bar.

I'm using the X version that's coming with NetBSD/5.99.45.

For me, 'env XMODIFIERS="@im=none" emacs' doesn't work, I still get
the same error.

"unset LC_CTYPE; emacs" doesn't work either.

Here's the emacs-bug-report info:

In GNU Emacs 23.2.1 (x86_64--netbsd, GTK+ Version 2.22.1)
 of 2011-02-07 on yt.nih.at
Windowing system distributor `The Xorg Foundation', version 11.0.10902000
configured using `configure  '--srcdir=/scratch/editors/emacs/work/emacs-23.2' '--localstatedir=/var' '--with-x' '--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--x-includes=/usr/X11R7/include' '--x-libraries=/usr/X11R7/lib' '--with-x-toolkit=gtk' '--prefix=/usr/pkg' '--build=x86_64--netbsd' '--host=x86_64--netbsd' '--infodir=/usr/pkg/info' '--mandir=/usr/pkg/man' 'build_alias=x86_64--netbsd' 'host_alias=x86_64--netbsd' 'CC=cc' 'CFLAGS=-O2 -I/usr/pkg/include -I/usr/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2' 'LDFLAGS=-L/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/X11R7/lib -Wl,-R/usr/X11R7/lib' 'LIBS=' 'CPPFLAGS=-DTERMINFO -I/usr/pkg/include -I/usr/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  diff-auto-refine-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<escape> x b u g - r e <tab> <tab> <escape> <backspace> 
<escape> <backspace> r e p o <tab> <tab> r <tab> <
return>

Recent messages:
Loading /home/wiz/.el/startup.el (source)...done
Loading /home/wiz/.el/mwheel.el (source)...done
Loading /home/wiz/.el/mercurial.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list... [2 times]

Load-path shadows:
/home/wiz/.el/startup hides /usr/pkg/share/emacs/23.2/lisp/startup
/home/wiz/.el/mwheel hides /usr/pkg/share/emacs/23.2/lisp/mwheel
/home/wiz/.el/flyspell hides /usr/pkg/share/emacs/23.2/lisp/textmodes/flyspell

Features:
(shadow sort mail-extr message sendmail ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug help-mode mercurial view vc
vc-dispatcher executable diff-mode easymenu easy-mmode advice help-fns
advice-preload cl cl-19 cc-styles cc-align cc-engine cc-vars cc-defs
regexp-opt tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win
x-dnd font-setting tool-bar dnd fontset image fringe lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind font-render-setting gtk
x-toolkit x multi-tty emacs)

Suggestions?
 Thomas




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6102; Package emacs. Full text available.

Message received at 6102 <at> debbugs.gnu.org:


Received: (at 6102) by debbugs.gnu.org; 5 May 2010 21:17:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 17:17:53 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1O9lyb-0000bS-4A
	for submit <at> debbugs.gnu.org; Wed, 05 May 2010 17:17:53 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <werner.lemberg@HIDDEN>) id 1O9lyX-0000bN-GO
	for 6102 <at> debbugs.gnu.org; Wed, 05 May 2010 17:17:51 -0400
Received: (qmail invoked by alias); 05 May 2010 21:17:39 -0000
Received: from 77-20-101-42-dynip.superkabel.de (EHLO localhost) [77.20.101.42]
	by mail.gmx.net (mp061) with SMTP; 05 May 2010 23:17:39 +0200
X-Authenticated: #54312696
X-Provags-ID: V01U2FsdGVkX1+zMh1YLk2zRq4odxheaggtrBW5BwpuNyHHD70L0N
	tcMwkCOkACpSTz
Date: Wed, 05 May 2010 23:17:36 +0200 (CEST)
Message-Id: <20100505.231736.469957761.wl@HIDDEN>
To: schwab@HIDDEN
Subject: Re: bug#6102: 24.0.50; Problems with Multi_Key
From: Werner LEMBERG <wl@HIDDEN>
In-Reply-To: <m3bpcue5l0.fsf@HIDDEN>
References: <20100504.224101.389174444.wl@HIDDEN> <m3bpcue5l0.fsf@HIDDEN>
X-Mailer: Mew version 6.2.53 on Emacs 24.0.50.1 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=utf-8
Content-Transfer-Encoding: base64
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: 6102
Cc: 6102 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)
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Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6102; Package emacs. Full text available.

Message received at 6102 <at> debbugs.gnu.org:


Received: (at 6102) by debbugs.gnu.org; 5 May 2010 15:22:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 11:22:44 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1O9gQt-0005e5-S0
	for submit <at> debbugs.gnu.org; Wed, 05 May 2010 11:22:44 -0400
Received: from mail-out.m-online.net ([212.18.0.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <whitebox@HIDDEN>) id 1O9gQs-0005dx-AC
	for 6102 <at> debbugs.gnu.org; Wed, 05 May 2010 11:22:43 -0400
Received: from mail01.m-online.net (mail.m-online.net [192.168.3.149])
	by mail-out.m-online.net (Postfix) with ESMTP id 2789F1C00474;
	Wed,  5 May 2010 17:22:37 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.8.164])
	by mail.m-online.net (Postfix) with ESMTP id F1FED9026E;
	Wed,  5 May 2010 17:22:36 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.3.149])
	by localhost (dynscan1.mnet-online.de [192.168.8.164]) (amavisd-new,
	port 10024)
	with ESMTP id 33EVPXCJqQWK; Wed,  5 May 2010 17:22:36 +0200 (CEST)
Received: from hase.home (ppp-88-217-109-145.dynamic.mnet-online.de
	[88.217.109.145]) by mail.mnet-online.de (Postfix) with ESMTP;
	Wed,  5 May 2010 17:22:35 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Werner LEMBERG <wl@HIDDEN>
Subject: Re: bug#6102: 24.0.50; Problems with Multi_Key
References: <20100504.224101.389174444.wl@HIDDEN>
X-Yow: It's the land of DONNY AND MARIE as promised in TV GUIDE!
Date: Wed, 05 May 2010 17:22:35 +0200
In-Reply-To: <20100504.224101.389174444.wl@HIDDEN> (Werner LEMBERG's message
	of "Tue, 04 May 2010 22:41:01 +0200 (CEST)")
Message-ID: <m3bpcue5l0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 6102
Cc: 6102 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Werner LEMBERG <wl@HIDDEN> writes:

> pressing the composite key (which I've mapped to the `Windows menu'
> key)

How did you remap it?  What is the output of xev if you press the keys
<Multi_key> <a> <e> in this order?

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6102; Package emacs. Full text available.

Message received at 6102 <at> debbugs.gnu.org:


Received: (at 6102) by debbugs.gnu.org; 5 May 2010 14:40:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 10:40:43 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1O9fmF-0005Jy-CN
	for submit <at> debbugs.gnu.org; Wed, 05 May 2010 10:40:43 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <werner.lemberg@HIDDEN>) id 1O9fmD-0005Jr-1w
	for 6102 <at> debbugs.gnu.org; Wed, 05 May 2010 10:40:42 -0400
Received: (qmail invoked by alias); 05 May 2010 14:40:33 -0000
Received: from 77-20-101-42-dynip.superkabel.de (EHLO localhost) [77.20.101.42]
	by mail.gmx.net (mp063) with SMTP; 05 May 2010 16:40:33 +0200
X-Authenticated: #54312696
X-Provags-ID: V01U2FsdGVkX19OFCcxdEdOkPwyJtGVVBKaEB8mgynqDLtgkRiLfF
	Nmo3tW8n0Jvj5Y
Date: Wed, 05 May 2010 16:40:32 +0200 (CEST)
Message-Id: <20100505.164032.370125726.wl@HIDDEN>
To: stepnem@HIDDEN
Subject: Re: bug#6102: 24.0.50; Problems with Multi_Key
From: Werner LEMBERG <wl@HIDDEN>
In-Reply-To: <87hbmmbf8f.fsf@HIDDEN>
References: <20100504.224101.389174444.wl@HIDDEN> <87hbmmbf8f.fsf@HIDDEN>
X-Mailer: Mew version 6.2.53 on Emacs 24.0.50.1 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 6102
Cc: 6102 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)


>>   value of $XMODIFIERS: @im=SCIM
>                           ^^^^^^^^
> As pointed out in my last mail to emacs-devel, this might be the
> problem (seems to be for me, anyway): try with '@im=none'
> (e.g. starting Emacs with 'env XMODIFIERS="@im=none" emacs'.

Indeed, this circumvents the problem.  Thanks!  Anyway, it looks like
a bug somewhere since this action wasn't necessary previously, and
Emacs worked fine with scim too.


    Werner




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6102; Package emacs. Full text available.

Message received at 6102 <at> debbugs.gnu.org:


Received: (at 6102) by debbugs.gnu.org; 5 May 2010 14:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 10:22:42 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1O9fUn-0005A1-LF
	for submit <at> debbugs.gnu.org; Wed, 05 May 2010 10:22:42 -0400
Received: from fg-out-1718.google.com ([72.14.220.157])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stepnem@HIDDEN>) id 1O9fUl-00059v-T6
	for 6102 <at> debbugs.gnu.org; Wed, 05 May 2010 10:22:40 -0400
Received: by fg-out-1718.google.com with SMTP id e21so1515877fga.15
	for <6102 <at> debbugs.gnu.org>; Wed, 05 May 2010 07:22:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:from:to:cc:subject
	:in-reply-to:references:user-agent:date:message-id:mime-version
	:content-type:content-transfer-encoding;
	bh=X0EHw2Srv8XIl+DIJwBk3EXkosJeEKigGbD3X4Wg7oE=;
	b=qqgUGhXoXR1dBnqtayUAYqBCjoaTvA8gHGRRLwcfdrRTpNRdNnokDG6crQoV1w6wkK
	fmWzhZnO20Ywtur9AhTu7EjmPymvfFCRjHYnBOXUjcaFQdXWVWJVFI0r5rmoaATkj2Wy
	dFr0fR+KaAdSiwqQAXfsaDV3bpHTd4aReHO/4=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:cc:subject:in-reply-to:references:user-agent:date
	:message-id:mime-version:content-type:content-transfer-encoding;
	b=Lm9kS6Fg85EHTAihSB7Q4a5fLk4rCT8dFBFOCjS3jBruPlICEVwk3p8DhkN/4J61As
	t0KFbLFwDOapwdY8I6fwTWKizMPfON/1o/u4m+NMCYCHbpMRUGCzNYm/HRMpwkCKvFTp
	8TlMIwBRipZH4Y52D0Q6A/oHnNVftxEfpk808=
Received: by 10.87.64.29 with SMTP id r29mr1657612fgk.6.1273069354562;
	Wed, 05 May 2010 07:22:34 -0700 (PDT)
Received: from localhost ([88.103.132.186])
	by mx.google.com with ESMTPS id k29sm13854042fkk.15.2010.05.05.07.22.26
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Wed, 05 May 2010 07:22:28 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Werner LEMBERG <wl@HIDDEN>
Subject: Re: bug#6102: 24.0.50; Problems with Multi_Key
In-Reply-To: <20100504.224101.389174444.wl@HIDDEN> (Werner LEMBERG's message
	of "Tue, 04 May 2010 22:41:01 +0200 (CEST)")
References: <20100504.224101.389174444.wl@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
Date: Wed, 05 May 2010 16:22:24 +0200
Message-ID: <87hbmmbf8f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 6102
Cc: 6102 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

Werner LEMBERG <wl@HIDDEN> writes:

> Of all applications I know on my computer, emacs is the only one which
> doesn't accept multi-key compositions.  Calling `emacs -Q' and
> pressing the composite key (which I've mapped to the `Windows menu'
> key), I get
>
>   <Multi_key> is undefined
>
> and the composition isn't performed.  This behaviour wasn't present in
> previous versions of Emacs (about a half year earlier, I estimate).
> Note, however, that I'm now using Xorg 1.8.0 (from openSuSE factory),
> together with fairly recent versions of all other Xorg modules, so the
> problem might be elsewhere.
>
>
>     Werner
>
> ----------------------------------------------------------------------
>
> In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.0)
>  of 2010-04-08 on linux-nvf0
> Windowing system distributor `The X.Org Foundation', version 11.0.10800000
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: de_DE.UTF-8
>   value of $XMODIFIERS: @im=3DSCIM
                          ^^^^^^^^
As pointed out in my last mail to emacs-devel, this might be the problem
(seems to be for me, anyway): try with '@im=3Dnone' (e.g. starting
Emacs with 'env XMODIFIERS=3D"@im=3Dnone" emacs'.


=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6102; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2010 20:41:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 04 16:41:22 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1O9Ovh-0003yJ-Un
	for submit <at> debbugs.gnu.org; Tue, 04 May 2010 16:41:22 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <werner.lemberg@HIDDEN>) id 1O9Ovf-0003yD-Gh
	for submit <at> debbugs.gnu.org; Tue, 04 May 2010 16:41:20 -0400
Received: from lists.gnu.org ([199.232.76.165]:54075)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <werner.lemberg@HIDDEN>) id 1O9Ovb-0002HO-9H
	for submit <at> debbugs.gnu.org; Tue, 04 May 2010 16:41:15 -0400
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1O9Ova-0006fR-Pn
	for bug-gnu-emacs@HIDDEN; Tue, 04 May 2010 16:41:14 -0400
Received: from [140.186.70.92] (port=44400 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1O9OvZ-0006dZ-2O
	for bug-gnu-emacs@HIDDEN; Tue, 04 May 2010 16:41:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <werner.lemberg@HIDDEN>) id 1O9OvW-000731-3p
	for bug-gnu-emacs@HIDDEN; Tue, 04 May 2010 16:41:12 -0400
Received: from mail.gmx.net ([213.165.64.20]:52732)
	by eggs.gnu.org with smtp (Exim 4.69)
	(envelope-from <werner.lemberg@HIDDEN>) id 1O9OvU-00072A-F4
	for bug-gnu-emacs@HIDDEN; Tue, 04 May 2010 16:41:10 -0400
Received: (qmail invoked by alias); 04 May 2010 20:41:04 -0000
Received: from 77-20-101-42-dynip.superkabel.de (EHLO localhost) [77.20.101.42]
	by mail.gmx.net (mp060) with SMTP; 04 May 2010 22:41:04 +0200
X-Authenticated: #54312696
X-Provags-ID: V01U2FsdGVkX19RIKJcv6lRzHgVcw4zZtJccNcY95i7DLBGaOMS8r
	ObjqhICv6jCg6Y
Date: Tue, 04 May 2010 22:41:01 +0200 (CEST)
Message-Id: <20100504.224101.389174444.wl@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.50; Problems with Multi_Key
From: Werner LEMBERG <wl@HIDDEN>
X-Mailer: Mew version 6.2.53 on Emacs 24.0.50.1 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.5
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)


Of all applications I know on my computer, emacs is the only one which
doesn't accept multi-key compositions.  Calling `emacs -Q' and
pressing the composite key (which I've mapped to the `Windows menu'
key), I get

  <Multi_key> is undefined

and the composition isn't performed.  This behaviour wasn't present in
previous versions of Emacs (about a half year earlier, I estimate).
Note, however, that I'm now using Xorg 1.8.0 (from openSuSE factory),
together with fairly recent versions of all other Xorg modules, so the
problem might be elsewhere.


    Werner

----------------------------------------------------------------------

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.0)
 of 2010-04-08 on linux-nvf0
Windowing system distributor `The X.Org Foundation', version 11.0.10800000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Message

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
d d d d d d d d SPC d d d d SPC d SPC d SPC d d d d 
d d d n d d SPC <backspace> SPC d d d d d d d n n d 
d SPC d d d d d SPC d x i <return> SPC d d SPC d <down> 
<down> <down> <return> d x <up> <return> <down> <return> 
C-x SPC <up> <return> C-x o <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> C-SPC C-e 
s-w C-x o d x i <return> SPC SPC SPC i <return> SPC 
d x <up> <up> <up> <up> <down> <return> i S-SPC SPC 
<backspace> SPC d d x i <return> d d d d d d d d d 
d d d d x i <return> d d d x i d x i <return> SPC d 
d d d d d d x g d r <tab> <return> <down> <down> <down> 
<down> <return> SPC i d d x i <return> d d x i <return> 
d d x i <return> d d d d n d d SPC d <down> <return> 
<up> <return> d d d d d x <up> <return> M-x e m a c 
s - b <tab> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> b u 
g <tab> <tab> C-g C-h a b u g <return> <M-next> C-g 
C-x b B a <tab> <backspace> <backspace> + B a <tab> 
C-g g B a <tab> <return> <up> <return> C-x o <down> 
C-SPC <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <up> <up> s-w C-x 1 M-x r e p o r t - 
<tab> <return>

Recent messages:
Scanning +inbox...done
Wrapped lines [3 times]
No more messages
Refiling and deleting...done
Making completion list...
Quit
Type C-x 4 C-o RET to restore the other window.  
Quit [2 times]
Scanning +Backup...done
Mark set

Load-path shadows:
None found.

Features:
(shadow emacsbug apropos pp mew-varsx cal-menu calendar cal-loaddefs
mew-auth mew-config mew-imap2 mew-imap mew-nntp2 mew-nntp mew-pop
mew-smtp mew-ssl mew-ssh mew-net mew-highlight mew-sort mew-fib
mew-ext mew-refile mew-demo mew-attach mew-draft mew-message
mew-thread mew-virtual mew-summary4 mew-summary3 mew-summary2
mew-summary mew-search mew-pick mew-passwd mew-scan mew-syntax mew-bq
mew-smime mew-pgp mew-header mew-exec mew-mark mew-mime mew-edit
mew-decode mew-encode mew-cache mew-minibuf mew-complete mew-addrbook
mew-local mew-unix mew-vars3 mew-vars2 mew-vars mew-env mew-mule3
mew-mule mew-gemacs mew-key mew-func mew-blvs mew-const mew tex
regexp-opt advice help-fns advice-preload tex-site auto-loads quail
help-mode easymenu view cjktilde disp-table tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mldrag mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev loaddefs button minibuffer faces
cus-face files text-properties overlay md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind system-font-setting font-render-setting
gtk x-toolkit x multi-tty emacs)





Acknowledgement sent to Werner LEMBERG <wl@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6102; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.